import { ReduxStoreConfig } from '@redux-model/core';
/**
 * The store engine for persist.
 *
 * `local:   Promised localStorage`
 *
 * `session: Promised sessionStorage`
 *
 * `memory:  Promised object for testing`
 *
 * For React-Native, you have to install `@react-native-community/async-storage` or implement PersistStorage yourself.
 * ```javascript
 * import AsyncStorage from '@react-native-community/async-storage';
 *
 * const store = createReduxStore({
 *   ...
 *   persist: {
 *     storage: AsyncStorage,
 *     ...
 *   }
 * });
 * ```
 */
export declare const createReduxStore: (config?: ReduxStoreConfig<'local' | 'session' | 'memory'>) => import("redux").Store<any, import("redux").AnyAction>;
